Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519987 - Logging of the server process memory/cpu (MiqServer.log_status) is incorrect
Summary: Logging of the server process memory/cpu (MiqServer.log_status) is incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.3
Assignee: Joe Rafaniello
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1519953
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 21:02 UTC by Satoe Imaishi
Modified: 2018-02-28 13:10 UTC (History)
7 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1519953
Environment:
Last Closed: 2018-02-28 13:10:26 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-12-01 21:06:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a093979fa911b8944d362e479bef5bce7072e701

commit a093979fa911b8944d362e479bef5bce7072e701
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Tue Nov 14 17:19:34 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Dec 1 16:03:40 2017 -0500

    Merge pull request #16460 from jrafanie/get_server_process_info
    
    Workers can run log_status so ask for the right pid
    (cherry picked from commit 974e36052bdf98dc46637f821db8026295759062)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519987

 app/models/miq_server/status_management.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Joe Rafaniello 2018-01-04 15:48:48 UTC
Milan, you need to make sure your workers have different memory/cpu times values before you can recreate it.  So, perhaps, do some minor work until you have a good difference in worker memories and cpu times or force workers to restart so some have much larger cpu times.  Then, check the logs and you should see the up and down nature of the logging.

Comment 5 Milan Falešník 2018-01-04 16:27:24 UTC
You were right, Joe, thanks.

Verified in 5.8.3.0 (against 5.8.2.3)

Comment 8 errata-xmlrpc 2018-02-28 13:10:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.